Bug 240089 - libX11 updates causing problems with idl and ENVI.
libX11 updates causing problems with idl and ENVI.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
6
All Linux
medium Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 21:36 EDT by Marc
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-17 14:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc 2007-05-14 21:36:28 EDT
Description of problem:

Problem with latest libX11. I resolved this by unistalling the latest libX11 rpm
version and re-installing the previous version. 

The following description was taken from the ITT help website

"One incompatibility comes from the 'libX11' library, released, most
immediately, with Debian ("etch") and Ubuntu. To strengthen the security of
their operating system Debian patched 'libx11' to fix a buffer overflow.
Unfortunately, this patch has caused a number of applications, including IDL, to
crash. Any users, who update their Debian system to get the latest 'libx11', are
exposed to a fatal "segmentation fault" error when they execute the IDL command
TV. It appears that Fedora Linux is also including this IDL-incompatible
security patch in its automatic updates now."

A broader description can be found at:

http://www.ittvis.com/services/techtip.asp?ttid=4177

This may be more an idl and ENVI problem than a linux problem, but I thought I
should bring it to your attention.
Comment 1 Adam Jackson 2007-05-16 18:32:16 EDT
That sounds like IDL's fault, yes.
Comment 2 Adam Jackson 2007-05-17 14:16:20 EDT
Yeah, after looking at their documentation of the issue, it sounds like this is
their bug, and that a future update from them will fix it.

Note You need to log in before you can comment on or make changes to this bug.